      program metodo euler
c     este es un programa que calcula
c     con la regla de euler
      implicit none  !esta int desactiva la declaracion implicita
      real*8 x0,xn,h,x1,sum,inte,y0,f,yn  ! declaracion variables reales
      integer n,i   ! declaracion variables enteras
      
      open(10,file='archivo.dat')   !con esto definimos un archivo
      write(*,*) 'ingrese x0 '   ! envia mensaje a la pantalla
      read(*,*) x0        ! lee un dato real doble presc
      write(*,*) 'ingrese el valor y0'
      read(*,*) y0
      write(*,*) 'ingrese cuantos pasos temporales calcula '
      read(*,*) n
      write(*,*) 'ingrese tiempo final o x final '
      read(*,*) xn

      h=(xn-x0)/n
c      h=100.0
      
      do i=1,n
         yn=y0+h*f(x0,y0)
         
         x0=x0+h
         y0=yn
         write(10,*) x0,yn
      end do
  
      end program
      
      function f(x0,y0)
      real*8 x0,y0,f,hf,rho,c,r,A,V,m
      
      hf=3.0
      m=3.0 
      c=0.2
      A=0.5
c      r=6e-3
c      A=4.*3.14159*r**2
c      V=4./3.*3.14159*r**3
C 100C 212 F
      f=-hf*A/(m*c)*(y0-68)
      return
      end
      
      
